MAKEWHATIS(8)

NOM
makewhatis - Crée la base de données whatis

SYNOPSIS
makewhatis [-u] [-v] [-w] [-s sections ] [-c [catpath]] [manpath]

DESCRIPTION
makewhatis lit toutes les pages de manuels contenues dans les sections sections du répertoire manpath ou les pages préformatées contenues dans les sections sections du répertoire catpath. Pour chacune des pages, makewhatis écrit une ligne dans la base de données whatis ; chaque ligne est constituée du nom de la page de manuel et d'une courte description de celle-ci, séparés par un trait. La description est extraite du contenu de la section NAME de la page de manuel.

Du fait que d'autres langues utilisent un terme différent pour la section NAME, makewhatis reconnaît les termes équivalents en allemand, espagnol, finnois, français, italien et tchèque.

Si aucun argument manpath n'est fourni, la valeur par défaut est /usr/man.

OPTIONS

-u  Mettre à jour la base de données avec de nouvelles pages.

-v  Sortie bavarde.

-w  Utiliser le chemin de recherche manpath obtenu par la commande « man --path ».

-s sections
    Chercher dans les sections sections de manpath ou catpath. Si cette option est absente, sa valeur est '1 2 3 4 5 6 7 8 9 n l'

-c catpath
    Les pages préformatées de manuel situées dans catpath sont scrutées. Si l'argument n'est pas fourni, il est supposé être le premier des deux répertoires existant entre /usr/man/preformat et /usr/man.

EXEMPLES

Pour reconstruire seulement les bases de données /usr/X11R6/man/whatis et /usr/local/man/whatis

    makewhatis /usr/X11R6/man /usr/local/man

Pour reconstruire toutes les bases de données en incluant les traductions finnoise, française et italienne

    LANGUAGE=fi:fr:it makewhatis -w

BOGUES
makewhatis peut ne pas très bien gérer les pages de manuels qui ont été écrites avec des macros troff non standard, comme les pages Tcl/Tk.

makewhatis ne fonctionne pas avec les traductions préformatées.

AUTEUR
John W. Eaton est l'auteur historique de man. Federico Lucifredi <flucifredi@acm.org> en assure aujourd'hui la maintenance.

VOIR AUSSI
apropos(1), man(1), whatis(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 1er juin 2005 et mise à jour le 7 novembre 2005.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=en man 8 makewhatis ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.